<?xml version="1.0" encoding="utf-8"?>
<AbsoluteLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:focusable="true"
    android:focusableInTouchMode="true">
    <!--  数字 start -->
    <TextView
        android:id="@+id/input_button1"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="13dp"
        android:layout_y="380dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/number_1"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  数字3  -->
    <TextView
        android:id="@+id/input_button2"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="45dp"
        android:layout_y="380dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/number_2"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  数字4  -->
    <TextView
        android:id="@+id/input_button3"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="77dp"
        android:layout_y="380dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/number_3"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <TextView
        android:id="@+id/input_button4"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="109dp"
        android:layout_y="380dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/number_4"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  数字5  -->
    <TextView
        android:id="@+id/input_button5"
        android:layout_width="27dp"
        android:layout_height="29dp"
        android:layout_x="141dp"
        android:layout_y="380dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/number_5"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  数字6  -->
    <TextView
        android:id="@+id/input_button6"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="173dp"
        android:layout_y="380dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/number_6"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  数字7  -->
    <TextView
        android:id="@+id/input_button7"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="205dp"
        android:layout_y="380dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/number_7"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  数字8  -->
    <TextView
        android:id="@+id/input_button8"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="237dp"
        android:layout_y="380dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/number_8"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  数字9  -->
    <TextView
        android:id="@+id/input_button9"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="269dp"
        android:layout_y="380dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/number_9"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <TextView
        android:id="@+id/input_button0"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="302dp"
        android:layout_y="380dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/number_0"
        android:textColor="@color/black"
        android:textSize="10dp" />
    <!-- 数字end-->

    <!-- 字母start -->
    <!--  字母Q  -->
    <TextView
        android:id="@+id/input_buttonQ"
        android:layout_width="26dp"
        android:layout_height="29dp"
        android:layout_x="13dp"
        android:layout_y="415dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_Q"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母W  -->
    <TextView
        android:id="@+id/input_buttonW"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="45dp"
        android:layout_y="415dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_W"
        android:textColor="@color/black"
        android:textSize="10dp" />
    <!--  字母E  -->
    <TextView
        android:id="@+id/input_buttonE"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="77dp"
        android:layout_y="415dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_E"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母R  -->
    <TextView
        android:id="@+id/input_buttonR"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="109dp"
        android:layout_y="415dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_R"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母T  -->
    <TextView
        android:id="@+id/input_buttonT"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="141dp"
        android:layout_y="415dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_T"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母Y  -->
    <TextView
        android:id="@+id/input_buttonY"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="173dp"
        android:layout_y="415dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_Y"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母U  -->
    <TextView
        android:id="@+id/input_buttonU"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="205dp"
        android:layout_y="415dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_U"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母I  -->
    <TextView
        android:id="@+id/input_buttonI"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="237dp"
        android:layout_y="415dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_I"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母O  -->
    <TextView
        android:id="@+id/input_buttonO"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="269dp"
        android:layout_y="415dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_O"
        android:textColor="@color/black"
        android:textSize="10dp" />
    <!--  字母P  -->
    <TextView
        android:id="@+id/input_buttonP"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="302dp"
        android:layout_y="415dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_P"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母A  -->
    <TextView
        android:id="@+id/input_buttonA"
        android:layout_width="26dp"
        android:layout_height="29dp"
        android:layout_x="13dp"
        android:layout_y="449dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_A"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母S  -->
    <TextView
        android:id="@+id/input_buttonS"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="45dp"
        android:layout_y="449dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_S"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母D  -->
    <TextView
        android:id="@+id/input_buttonD"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="77dp"
        android:layout_y="449dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_D"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母F  -->
    <TextView
        android:id="@+id/input_buttonF"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="109dp"
        android:layout_y="449dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_F"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母G  -->
    <TextView
        android:id="@+id/input_buttonG"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="141dp"
        android:layout_y="449dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_G"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母H  -->
    <TextView
        android:id="@+id/input_buttonH"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="173dp"
        android:layout_y="449dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_H"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母J  -->
    <TextView
        android:id="@+id/input_buttonJ"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="205dp"
        android:layout_y="449dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_J"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母K  -->
    <TextView
        android:id="@+id/input_buttonK"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="237dp"
        android:layout_y="449dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_K"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母L  -->
    <TextView
        android:id="@+id/input_buttonL"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="269dp"
        android:layout_y="449dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_L"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母Z  -->
    <TextView
        android:id="@+id/input_buttonZ"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="55dp"
        android:layout_y="483dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_Z"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母X  -->
    <TextView
        android:id="@+id/input_buttonX"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="87dp"
        android:layout_y="483dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_X"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母C  -->
    <TextView
        android:id="@+id/input_buttonC"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="120dp"
        android:layout_y="483dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_C"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母V  -->
    <TextView
        android:id="@+id/input_buttonV"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="154dp"
        android:layout_y="483dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_V"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母B  -->
    <TextView
        android:id="@+id/input_buttonB"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="188dp"
        android:layout_y="483dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_B"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母N  -->
    <TextView
        android:id="@+id/input_buttonN"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="221dp"
        android:layout_y="483dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_N"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  字母M  -->
    <TextView
        android:id="@+id/input_buttonM"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="257dp"
        android:layout_y="483dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/letter_M"
        android:textColor="@color/black"
        android:textSize="10dp" />
    <!-- 字母end -->



    <!--  大小写切换  -->
    <TextView
        android:id="@+id/input_button_case_small"
        android:layout_width="37dp"
        android:layout_height="29dp"
        android:layout_x="13dp"
        android:layout_y="483dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/capital"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--  删除按键  -->

    <TextView
        android:id="@+id/input_button_cancel"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="302dp"
        android:layout_y="449dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/cancel_btn"
        android:textColor="@color/black"
        android:textSize="12sp"
        android:textStyle="bold" />


    <!--  确认  -->
    <TextView
        android:id="@+id/input_button_confirm"
        android:layout_width="42dp"
        android:layout_height="29dp"
        android:layout_x="292dp"
        android:layout_y="483dp"
        android:background="@drawable/confirm_button"
        android:gravity="center"
        android:text="@string/confirm_btn"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!-- 符号 -->
    <TextView
        android:id="@+id/symbol_button_1"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="13dp"
        android:layout_y="345dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/symbol_1"
        android:textColor="@color/black"
        android:textSize="10dp" />
    <TextView
        android:id="@+id/symbol_button_2"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="45dp"
        android:layout_y="345dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/symbol_2"
        android:textColor="@color/black"
        android:textSize="10dp" />
    <TextView
        android:id="@+id/symbol_button_3"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="77dp"
        android:layout_y="345dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/symbol_3"
        android:textColor="@color/black"
        android:textSize="10dp" />
    <TextView
        android:id="@+id/symbol_button_4"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="109dp"
        android:layout_y="345dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/symbol_4"
        android:textColor="@color/black"
        android:textSize="10dp" />
    <TextView
        android:id="@+id/symbol_button_5"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="141dp"
        android:layout_y="345dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/symbol_5"
        android:textColor="@color/black"
        android:textSize="10dp" />
    <TextView
        android:id="@+id/symbol_button_6"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="173dp"
        android:layout_y="345dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/symbol_6"
        android:textColor="@color/black"
        android:textSize="10dp" />
    <TextView
        android:id="@+id/symbol_button_7"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="205dp"
        android:layout_y="345dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/symbol_7"
        android:textColor="@color/black"
        android:textSize="10dp" />
    <TextView
        android:id="@+id/symbol_button_8"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="237dp"
        android:layout_y="345dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/symbol_8"
        android:textColor="@color/black"
        android:textSize="10dp" />
    <TextView
        android:id="@+id/symbol_button_9"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="269dp"
        android:layout_y="345dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/symbol_9"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <TextView
        android:id="@+id/symbol_button_10"
        android:layout_width="29dp"
        android:layout_height="29dp"
        android:layout_x="302dp"
        android:layout_y="345dp"
        android:background="@drawable/num_button"
        android:gravity="center"
        android:text="@string/symbol_10"
        android:textColor="@color/black"
        android:textSize="10dp" />

    <!--    <TextView-->
    <!--        android:id="@+id/symbol_button_11"-->
    <!--        android:layout_width="25dp"-->
    <!--        android:layout_height="29dp"-->
    <!--        android:layout_x="13dp"-->
    <!--        android:layout_y="345dp"-->
    <!--        android:background="@drawable/num_button"-->
    <!--        android:gravity="center"-->
    <!--        android:text="@string/symbol_11"-->
    <!--        android:textColor="@color/black"-->
    <!--        android:textSize="10dp" />-->
    <!-- 符号 end-->
</AbsoluteLayout>